FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202107231447.p0.git.2040a71.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202107231447.p0.git.2040a71.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=2040a71 OS_GIT_VERSION=4.8.0-202107231447.p0.git.2040a71.assembly.stream-2040a71 SOURCE_DATE_EPOCH=1623335835 SOURCE_GIT_COMMIT=2040a7166c0a21bce45db4f6b7cfd60755a19895 SOURCE_GIT_TAG=2040a716 SOURCE_GIT_URL=https://github.com/openshift/insights-operator 
WORKDIR /go/src/github.com/openshift/insights-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.8.0.20210723.145548
ENV __doozer=update BUILD_RELEASE=202107231447.p0.git.2040a71.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202107231447.p0.git.2040a71.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=2040a71 OS_GIT_VERSION=4.8.0-202107231447.p0.git.2040a71.assembly.stream-2040a71 SOURCE_DATE_EPOCH=1623335835 SOURCE_GIT_COMMIT=2040a7166c0a21bce45db4f6b7cfd60755a19895 SOURCE_GIT_TAG=2040a716 SOURCE_GIT_URL=https://github.com/openshift/insights-operator 
COPY --from=builder /go/src/github.com/openshift/insights-operator/bin/insights-operator /usr/bin/
COPY config/pod.yaml /etc/insights-operator/server.yaml
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/insights-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-insights-operator" \
        com.redhat.component="ose-insights-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Insights operator" \
        release="202107231447.p0.git.2040a71.assembly.stream" \
        io.openshift.build.commit.id="2040a7166c0a21bce45db4f6b7cfd60755a19895" \
        io.openshift.build.source-location="https://github.com/openshift/insights-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/insights-operator/commit/2040a7166c0a21bce45db4f6b7cfd60755a19895" \
        version="v4.8.0"

